#include <QtGui/QApplication>
#include <QDesktopWidget>
#include <QShortCut>
#include <QPainter>
#include <QLineF>
#include <QPointF>
#include <QDirectPainter>
#include <QGraphicsScene>
#include <QGraphicsView>
#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "mywindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_butMakeScr_clicked()
{
  MyWindow *widget = new MyWindow(0);
  QShortcut *shortcut =  new QShortcut(QKeySequence("Esc"), widget);
  connect(shortcut, SIGNAL(activated()), widget, SLOT(close()));
  QPalette p(widget->palette());
  p.setColor(QPalette::Background, Qt::white);
  widget -> setPalette(p);
  widget -> setCursor(QCursor( Qt::BlankCursor ));
  widget -> showFullScreen();
} // MainWindow::on_butMakeScr_clicked()

