#ifndef MYWINDOW_H
#define MYWINDOW_H

#include <QMainWindow>
#include <QWidget>
#include <QPainter>
#include <QPen>

class MyWindow : public QWidget
{
    Q_OBJECT

public:
    explicit MyWindow(QWidget *parent = 0);
    ~MyWindow();
    
    void paintEvent(QPaintEvent *e)
    {
      QPainter painter(this);
      QPen    pen(Qt::black);
      pen.setStyle(Qt::SolidLine);
      pen.setWidth(10);
      painter.setPen(pen);
      painter.drawLine(0, 0, 100, 100);
    }

    private slots:

   
};


#endif // MYWINDOW_H
